body,
html {
  overflow-x: hidden;
  font-size: 14px;
  color: #27303b;
  background: #ffffff;
  letter-spacing: 0.25px;
  font-family: "Poppins", sans-serif;
  padding-right: 0 !important;
}
a,
.btn,
button {
  transition: all 0.3s ease;
  -webkit-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  cursor: pointer;
}
*:focus {
  outline: none;
}
a:hover,
a:focus,
a:active,
.btn:hover,
.btn:focus,
.btn:active,
button:hover,
button:focus,
button:active {
  outline: none;
  text-decoration: none;
  box-shadow: none;
}
.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 700;
}
input,
textarea,
select,
.form-control,
input:focus,
textarea:focus,
select:focus,
.form-control:focus,
input:active,
textarea:active,
select:active,
.form-control:active,
input:focus:active,
textarea:focus:active,
select:focus:active,
.form-control:focus:active,
input:active:focus,
textarea:active:focus,
select:active:focus,
.btn:not(:disabled):not(.disabled).active:focus,
.btn:not(:disabled):not(.disabled):active:focus,
.show > .btn.dropdown-toggle:focus {
  box-shadow: none;
  outline: none;
  text-decoration: none;
}
.white-bg {
  background: #ffffff;
}

#particles-js {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  z-index: 0;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: 50%;
}
#particles-js canvas {
  height: 1300px !important;
}
.text-main {
  color: #009297;
}
.text-behance {
  color: #0057ff;
}
.text-dribbble {
  color: #e0407f;
}
.text-instagram {
  color: #009297;
}

.no-scroll {
  overflow: hidden;
}

.loader {
  position: fixed;
  z-index: 99;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  height: 100%;
  width: 100%;
  background: #ffffff;
  text-align: center;
  overflow: hidden;
}
.loading-icon {
  display: inline-block;
  width: 30px;
  height: 30px;
  position: relative;
  border: 2px solid #009297;
  top: 40%;
  animation: loader 2s infinite ease;
  border-radius: 5px;
}
.loading-icon span {
  vertical-align: top;
  display: inline-block;
  width: 100%;
  background-color: #009297;
  animation: loading-icon 2s infinite ease-in;
}
@keyframes loader {
  0% {
    transform: rotate(0deg);
  }
  25% {
    transform: rotate(180deg);
  }
  50% {
    transform: rotate(180deg);
    border: 2px solid #27303b;
  }
  75% {
    transform: rotate(360deg);
    border: 2px solid #e0407f;
  }
  100% {
    transform: rotate(360deg);
    border: 2px solid #0057ff;
  }
}
@keyframes loading-icon {
  0% {
    height: 0%;
  }
  25% {
    height: 0%;
  }
  50% {
    height: 100%;
    background: #27303b;
  }
  75% {
    height: 100%;
    background: #e0407f;
  }
  100% {
    height: 0%;
    background: #0057ff;
  }
}

header {
  position: fixed;
  z-index: 9;
  top: 0;
  width: 100%;
  padding: 15px;
  transition: top 0.2s ease-in-out;
}
header.fixed-header {
  background: #ffffff;
  box-shadow: 0 0 30px rgba(0, 0, 0, 0.15);
}
header > div {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  position: relative;
}
header .logo {
  display: none;
  position: absolute;
  left: 0;
  font-size: 20px;
}
header .logo a {
  color: #009297;
}
header.nav-up {
  top: -100px;
}
header.fixed-header .logo {
  display: block;
}
header ul {
  display: flex;
  margin: 0;
  padding: 0;
  list-style: none;
}
header ul.nav-links {
  margin-right: 20px;
}
header ul.nav-links li {
}
header ul.nav-links li a {
  color: #27303b;
  padding: 0;
  margin: 10px 20px;
  position: relative;
  font-size: 14px;
  font-weight: 400;
  display: block;
}
header ul.nav-links li.active a {
  color: #009297;
}
header ul.nav-links li a:after {
  content: "";
  position: absolute;
  bottom: 6px;
  right: -6px;
  height: 3px;
  width: 3px;
  border-radius: 50%;
  background: #27303b;
  display: none;
}
header ul.nav-links li a:before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  height: 2px;
  width: 0;
  background: #27303b;
  transition: width 0.35s ease;
}
header ul.nav-links li.active a:after {
  display: block;
  background: #009297;
}
header ul.nav-links li a:hover:after {
  display: block;
}
header ul.nav-links li.active a:before {
  width: calc(100% + 6px);
  background: #009297;
}
header ul.nav-links li a:hover:before {
  width: calc(100% + 6px);
}
header ul.social-links {
}
header ul.social-links li {
}
header ul.social-links li a {
  margin: 10px;
  font-size: 20px;
  display: block;
}
header ul.social-links li a:hover {
  transform: translateY(-3px);
}

.header-fixed {
  position: fixed;
  top: 0;
  width: 100%;
  background: #fff;
  z-index: 9;
}
.header-fixed header {
  padding: 5px;
}

.shapes-holder {
  position: absolute;
  width: 100%;
  height: 1300px;
  top: 0;
  left: 0;
  z-index: 0;
  overflow: hidden;
}
.shape-one {
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background: rgba(213, 238, 255, 0.29);
  position: absolute;
  top: 18%;
  left: 14%;
  animation: animationFramesTwo 13s infinite linear;
}
.shape-two {
  width: 25px;
  height: 25px;
  border-radius: 50%;
  border: 5px solid rgba(0, 146, 151, 0.16);
  position: absolute;
  top: 16%;
  left: 41%;
  animation: animationFramesOne 15s infinite linear;
}
.shape-three {
  position: absolute;
  top: 25%;
  left: 35%;
  animation: animationFramesFour 15s infinite linear alternate;
}
.shape-four {
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background: rgba(213, 238, 255, 0.29);
  position: absolute;
  bottom: 12%;
  right: 30%;
  animation: animationFramesFive 15s infinite linear alternate;
}
.grid-shape {
  position: absolute;
  left: 120px;
  z-index: 3;
}
.grid-shape img {
  max-width: 180px;
}
.big-round-one {
  position: absolute;
  width: 600px;
  height: 600px;
  box-shadow: 0 0 40px rgba(0, 0, 0, 0.06);
  top: -300px;
  left: -120px;
  border-radius: 50%;
  background: #fff;
  z-index: 2;
}
.big-round-two {
  position: absolute;
  width: 850px;
  height: 850px;
  box-shadow: 0 0 40px rgba(0, 0, 0, 0.06);
  top: -300px;
  left: -150px;
  border-radius: 50%;
  z-index: 1;
  background: #fff;
}
.big-round-three {
  position: absolute;
  top: 80px;
  left: 0;
  border-radius: 50%;
  z-index: -3;
}
.line-dashed {
  position: absolute;
  width: 80%;
  margin-left: 50%;
  transform: translateX(-50%);
  top: 500px;
}

section {
  position: relative;
  z-index: 1;
}
.space-xl {
  margin: 220px;
}
.space-lg {
  margin: 180px;
}
.featured-1 {
  margin-top: 100px;
}
.headings h1 {
  font-size: 45px;
  font-weight: 900;
}
.headings h2 {
  font-size: 30px;
  font-weight: 400;
}
.headings a {
  position: relative;
  display: block;
  padding-left: 40px;
  color: #009297;
  margin-top: 35px;
  font-weight: 500;
}
.headings a:before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  height: 20px;
  width: 20px;
  background: #e5f4f4;
  border-radius: 50px;
  z-index: -1;
  transition: all 0.35s ease;
}
.headings a:after {
  content: "\f178";
  position: absolute;
  left: 5px;
  top: -11px;
  font-family: "Font Awesome 5 Pro";
  color: #009297;
  font-size: 30px;
  font-weight: 100;
  transition: all 0.3s ease;
}
.headings a:hover {
  padding-left: 45px;
}
.headings a:hover:after {
  transform: translateX(5px);
}
.headings a:hover:before {
  background: ;
  width: 230px;
  height: 40px;
  border-radius: 50px;
  top: -10px;
}

.vector-me {
  width: 100%;
  text-align: right;
  margin-top: ;
}
.vector-me img {
  width: 400px;
}

.bio-text {
  font-size: 1.5rem;
  line-height: 3rem;
}
.bio-text .flag {
  width: 20px;
}

.my-experience {
  background: rgb(245, 247, 249);
  background: -moz-linear-gradient(
    top,
    rgba(245, 247, 249, 1) 25%,
    rgba(255, 255, 255, 1) 100%
  );
  background: -webkit-linear-gradient(
    top,
    rgba(245, 247, 249, 1) 25%,
    rgba(255, 255, 255, 1) 100%
  );
  background: linear-gradient(
    to bottom,
    rgba(245, 247, 249, 1) 25%,
    rgba(255, 255, 255, 1) 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f5f7f9', endColorstr='#ffffff',GradientType=0 );
}

.section-title {
  margin: 50px auto;
  display: table;
  position: relative;
}
.section-title h3 {
  position: relative;
}
.section-title h3:before {
  color: #009297;
  content: attr(data-title);
  font-size: 80px;
  font-weight: 700;
  letter-spacing: 5px;
  position: absolute;
  top: -70px;
  z-index: -1;
  opacity: 0.1;
  filter: alpha(opacity=10);
  left: 50%;
  transform: translateX(-50%);
}
.section-title .title {
  font-size: 18px;
  font-weight: 600;
  text-align: center;
}
.section-title .sub-title {
  font-size: 14px;
  font-weight: 300;
  text-align: center;
  color: #596471;
}
.section-title .divider::before {
  bottom: 0;
  content: "";
  height: 1px;
  left: -30px;
  margin: 5px 0;
  position: absolute;
  right: 0;
  transition: all 0.4s ease 0s;
  width: 50px;
}
.section-title .divider::before,
.section-title .divider,
.section-title .divider::after {
  background: #27303b;
}
.section-title .divider::after {
  content: "";
  height: 1px;
  left: 0;
  margin: 5px 0;
  position: absolute;
  right: 0;
  top: 0;
  transition: all 0.4s ease 0s;
  width: 50px;
}
.section-title .divider {
  display: block;
  height: 1px;
  left: 0;
  margin: 20px auto;
  position: relative;
  right: 0;
  text-align: center;
  width: 20px;
}
.section-title:hover .divider::before {
  left: -15px;
}
.section-title:hover .divider::after {
  left: -15px;
}

.exp-blocks {
  font-size: 16px;
}
.exp-block {
  position: relative;
}
.exp-block span {
  height: 100%;
  background: #009297;
  width: 1px;
  float: left;
  margin-right: 30px;
  position: relative;
  display: block;
}
.exp-block span:before {
  content: "";
  position: absolute;
  width: 3px;
  background: #27303b;
  bottom: 0;
  left: -1px;
}
.exp-block.first span:before {
  height: 75%;
}
.exp-block.second span:before {
  height: 50%;
}
.exp-block.third span:before {
  height: 25%;
}
.exp-block small {
  color: #596471;
}
.exp-block .company {
  font-weight: 600;
}
.exp-block .designation {
  color: #009297;
  margin: 0;
}

/*Portfolio*/
#filters {
  margin: 1% auto;
  padding: 0;
  list-style: none;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}
#filters li {
}
#filters li span {
  display: block;
  padding: 5px 20px;
  text-decoration: none;
  color: #666;
  cursor: pointer;
}
#filters li span.active {
  background: #009297;
  color: #fff;
  border-radius: 0.25rem;
}
.tm-portfolio {
  margin-top: 5em;
}
.tm-portfolio .portfolio {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -o-box-sizing: border-box;
  width: 23%;
  margin: 1%;
  display: none;
  float: left;
  overflow: hidden;
  transition: all 0.35s ease-in-out;
  height: 200px;
  border-radius: 0.35rem;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.1);
}
.tm-portfolio .portfolio-wrapper {
  overflow: hidden;
  position: relative !important;
  cursor: pointer;
  height: 100%;
  width: 100%;
}
.tm-portfolio .portfolio img {
  max-width: 100%;
  position: relative;
  top: 0;
  -webkit-transition: all 600ms cubic-bezier(0.645, 0.045, 0.355, 1);
  transition: all 600ms cubic-bezier(0.645, 0.045, 0.355, 1);
  object-fit: contain;
}
.tm-portfolio .portfolio .label {
  position: absolute;
  width: 100%;
  height: 45px;
  bottom: -45px;
  -webkit-transition: all 300ms cubic-bezier(0.645, 0.045, 0.355, 1);
  transition: all 300ms cubic-bezier(0.645, 0.045, 0.355, 1);
}
.tm-portfolio .portfolio .label-bg {
  background: #27303b;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}
.tm-portfolio .portfolio .label-text {
  color: #fff;
  position: relative;
  z-index: 500;
  padding: 5px 8px;
}
.tm-portfolio .portfolio .text-category {
  display: block;
  font-size: 9px;
}
.tm-portfolio .portfolio:hover {
  box-shadow: 0 5px 25px rgba(0, 0, 0, 0.1);
  transform: translateY(-5px) scale(0.95);
}
.tm-portfolio .portfolio:hover .label {
  bottom: 0;
}

.portfolio-media {
  background-size: cover;
  background-attachment: scroll;
  background-repeat: no-repeat;
  background-position: center;
  height: 100%;
  width: 100%;
  position: relative;
}

.see-all-btns {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 5em 0;
}
.see-all-btns a {
  display: flex;
  position: relative;
  color: #ffffff;
  border-radius: 50px;
  border: none;
  margin: 10px;
  padding: 10px 20px;
  align-items: center;
  justify-content: space-between;
}
.see-all-btns a:before {
  font-family: "Font Awesome 5 Brands";
  position: absolute;
  right: 20px;
  top: -25px;
  opacity: 0.25;
  filter: alpha(opacity=25);
  -moz-opacity: 0.25;
  font-size: 35px;
  transition: all 0.25s ease;
}
.see-all-btns a.behance-btn {
  background: #0057ff;
  box-shadow: 0 0 10px rgba(0, 87, 255, 0.5);
}
.see-all-btns a.behance-btn:before {
  color: #0057ff;
  content: "\f1b4";
}
.see-all-btns a.dribbble-btn {
  background: #e0407f;
  box-shadow: 0 0 10px rgba(224, 64, 127, 0.5);
}
.see-all-btns a.dribbble-btn:before {
  color: #e0407f;
  content: "\f17d";
}
.see-all-btns a:hover {
  color: #fff;
}
.see-all-btns a:hover:before {
  top: -38px;
}
.see-all-btns a.dribbble-btn:hover:before {
  animation: fa-spin 4s infinite linear;
}
.see-all-btns a i {
  font-size: 22px;
}
.see-all-btns a span {
  padding-left: 15px;
}

.see-all-btns a:after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.4);
  -webkit-transition: none;
  -moz-transition: none;
  transition: none;
}
.see-all-btns a:hover:after {
  width: 120%;
  background-color: rgba(255, 255, 255, 0);
  -webkit-transition: all 0.4s ease-in-out;
  -moz-transition: all 0.4s ease-in-out;
  transition: all 0.4s ease-in-out;
}

.my-logos {
  background-color: #27303b;
  padding: 50px 0;
  background-image: url(../img/line-dashed2.svg);
  background-size: cover;
  background-repeat: no-repeat;
}
.my-logos .title,
.my-logos .sub-title {
  color: #fff;
}
.my-logos .section-title h3:before {
  color: #000;
}
.my-logos .section-title .divider::before,
.my-logos .section-title .divider,
.my-logos .section-title .divider::after {
  background: #fff;
}
.tm-logos-slider .item {
  background: #ffffff;
  height: 150px;
  text-align: center;
  transition: all 0.35s ease;
  border-radius: 0.35rem;
  object-fit: cover;
  overflow: hidden;
  vertical-align: middle;
}
.tm-logos-slider .item:hover {
  transform: translateY(-5px) scale(0.9);
}

.connect-me {
  margin: 100px 0 50px;
}

.connect-me .title {
  font-size: 22px;
}
.connect-me .sub-title {
  font-size: 14px;
}
.connect-me p {
  text-align: center;
  margin: 7em 0;
}
.connect-me a {
  text-decoration: underline;
}

.scroll-up {
  bottom: 7px;
  position: fixed;
  right: 20px;
  z-index: 9;
  display: none;
}
.scroll-up a {
  background: rgba(0, 0, 0, 0.5);
  border-radius: 2px;
  color: #fff;
  display: block;
  font-size: 14px;
  height: 28px;
  line-height: 28px;
  opacity: 0.6;
  text-align: center;
  width: 28px;
}

footer {
  background: #27303b;
  color: #fff;
  padding: 15px 0;
  text-align: center;
}
footer p {
  margin-bottom: 0;
  font-size: 13px;
}

@media (min-width: 992px) {
  .container {
    max-width: 85%;
  }
}
@media (min-width: 1440px) {
  .container {
    max-width: 1300px;
  }
}

@media (max-width: 767px) {
  .tm-portfolio .portfolio {
    width: 48%;
    margin: 1%;
  }
}
